# Návod na Git

Vítejte v mém osobním repozitáři pro učení Gitu. Tento repozitář slouží jako můj osobní učební nástroj pro osvojení Git příkazů a konceptů.

## Obsah

- [Úvod](#úvod)
- [Jak používat tento repozitář](#jak-používat-tento-repozitář)
- [Příkladové skripty](#příkladové-skripty)
- [Dokumentace](#dokumentace)
- [Kontakt](#kontakt)

## Jak používat tento repozitář

Pro maximální užitek z tohoto repozitáře doporučuji procházet soubory v pořadí, ve kterém jsou uvedeny. Každý skript a dokumentace ve složce `/examples` a `/docs` jsou připraveny tak, aby postupně ukázaly základy i pokročilé techniky práce s Gitem. Můžete začít s příkladovými skripty, které demonstrují základní Git příkazy, a postupně přecházet k detailnějším tutoriálům a dokumentaci.

## Příkladové skripty

Ve složce `/examples` najdete skripty připravené k demonstraci základních operací s Gitem. Následující seznam popisuje každý skript a jeho účel:

1. **01-git-init.sh** - Skript pro inicializaci nového Git repozitáře. Tento krok by měl být proveden jako první.
2. **02-git-add.sh** - Skript pro přidání souborů do staging area. Použijte tento skript pro začlenění nových nebo změněných souborů do vašeho commitu.
3. **03-git-commit.sh** - Skript pro commitnutí přidaných změn do repozitáře. Tento skript umožní uložit vaše změny s popisnou zprávou.


## Dokumentace

Pro hlubší porozumění Gitu navštivte složku `/docs`, kde naleznete rozsáhlé dokumenty a tutoriály kryjící pokročilé techniky a koncepty, jako jsou větvení, mergování, práce s remote repozitáři, a mnoho dalšího. Tyto materiály jsou určeny k poskytnutí důkladnějšího vzdělání a porozumění Git workflow.


## Kontakt

Pokud máte jakékoli dotazy nebo návrhy, neváhejte mě kontaktovat na [archos@arch-linux.cz](mailto:archos@arch-linux.cz).
