# Úvod do Gitu

Git je distribuovaný systém správy verzí, který umožňuje uživatelům efektivně spravovat a sledovat změny v souborech, ať už pracují sami nebo v týmu. Git je nezbytný pro moderní vývoj softwaru, zejména v Linuxovém prostředí.

## Instalace Gitu na Arch Linux

Na Arch Linuxu můžete Git nainstalovat pomocí `pacman`, správce balíčků pro Arch:

```bash
sudo pacman -S git
```

# Základní konfigurace Gitu

Před začátkem práce s Gitem je dobré nastavit vaše uživatelské jméno a email, které budou spojeny s vašimi commity:

```bash
git config --global user.name "Vaše jméno"
git config --global user.email "váš.email@example.com"
 ```

# Základní příkazy Gitu

git init

Inicializuje nový Git repozitář.

```bash
git init
```
git clone

Klonuje repozitář z vzdáleného zdroje.

```bash
git clone <url>
```
git add

Přidá soubory do staging area.

```bash
git add <soubor>
git add .
```
git commit

Commituje přidané soubory s popisnou zprávou.

```bash
git commit -m "Popis změn"
```
### git status
Zobrazí stav pracovního adresáře a staging area. Umožňuje vidět, které soubory jsou změněné, ale ještě nejsou přidané do staging area, a které jsou připraveny k commitu.
```bash
git status
